Bug 1115894 - Review Request: ghc-hgettext - Bindings to libintl.h (gettext, bindtextdomain)
Summary: Review Request: ghc-hgettext - Bindings to libintl.h (gettext, bindtextdomain)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1115885
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-03 09:50 UTC by Philip Withnall
Modified: 2014-08-07 15:33 UTC (History)
2 users (show)

Fixed In Version: ghc-hgettext-0.1.30-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 15:31:23 UTC
Type: ---
petersen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Philip Withnall 2014-07-03 09:50:14 UTC
Spec URL: http://people.collabora.co.uk/~pwith/packaging/ghc-hgettext.spec
SRPM URL: http://people.collabora.co.uk/~pwith/packaging/ghc-hgettext-0.1.30-1.fc19.src.rpm
Description: Bindings to libintl.h (gettext, bindtextdomain).
Fedora Account System Username: pwithnall

I can’t build this in Koji yet, as it depends on ghc-setlocale (bug #1115885) which isn’t yet in Bodhi for a buildroot override.

Comment 1 Philip Withnall 2014-07-14 08:27:30 UTC
(In reply to Philip Withnall from comment #0)
> I can’t build this in Koji yet, as it depends on ghc-setlocale (bug
> #1115885) which isn’t yet in Bodhi for a buildroot override.

Koji builds:
 • F19: http://koji.fedoraproject.org/koji/taskinfo?taskID=7135895
 • F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=7135949
 • F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=7135953
 • Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=7135957

Comment 2 Jens Petersen 2014-07-14 10:32:12 UTC
Package Review
==============
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/petersen/pkgreview/1115894-ghc-
     hgettext/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 174080 bytes in 19 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Haskell:
[x]: This should never happen

===== SHOULD items =====
Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

http://koji.fedoraproject.org/koji/taskinfo?taskID=7135654

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: ghc-hgettext-0.1.30-1.fc21.x86_64.rpm
          ghc-hgettext-devel-0.1.30-1.fc21.x86_64.rpm
          ghc-hgettext-0.1.30-1.fc21.src.rpm
ghc-hgettext.x86_64: W: spelling-error Summary(en_US) libintl -> libidinal
ghc-hgettext.x86_64: W: spelling-error Summary(en_US) gettext -> get text, get-text, Georgette
ghc-hgettext.x86_64: W: spelling-error Summary(en_US) bindtextdomain 
ghc-hgettext.x86_64: W: spelling-error %description -l en_US libintl -> libidinal
ghc-hgettext.x86_64: W: spelling-error %description -l en_US gettext -> get text, get-text, Georgette
ghc-hgettext.x86_64: W: spelling-error %description -l en_US bindtextdomain 
ghc-hgettext.x86_64: W: no-documentation
ghc-hgettext.x86_64: W: no-manual-page-for-binary hgettext
ghc-hgettext.src: W: spelling-error Summary(en_US) libintl -> libidinal
ghc-hgettext.src: W: spelling-error Summary(en_US) gettext -> get text, get-text, Georgette
ghc-hgettext.src: W: spelling-error Summary(en_US) bindtextdomain 
ghc-hgettext.src: W: spelling-error %description -l en_US libintl -> libidinal
ghc-hgettext.src: W: spelling-error %description -l en_US gettext -> get text, get-text, Georgette
ghc-hgettext.src: W: spelling-error %description -l en_US bindtextdomain 
3 packages and 0 specfiles checked; 0 errors, 14 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-hgettext ghc-hgettext-devel
ghc-hgettext.x86_64: W: spelling-error Summary(en_US) libintl -> libidinal
ghc-hgettext.x86_64: W: spelling-error Summary(en_US) gettext -> get text, get-text, Georgette
ghc-hgettext.x86_64: W: spelling-error Summary(en_US) bindtextdomain 
ghc-hgettext.x86_64: W: spelling-error %description -l en_US libintl -> libidinal
ghc-hgettext.x86_64: W: spelling-error %description -l en_US gettext -> get text, get-text, Georgette
ghc-hgettext.x86_64: W: spelling-error %description -l en_US bindtextdomain 
ghc-hgettext.x86_64: W: no-documentation
ghc-hgettext.x86_64: W: no-manual-page-for-binary hgettext
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-hgettext (rpmlib, GLIBC filtered):
    ghc(Cabal-1.16.0-eb3c12450ebbf2810048acb780cbe706)
    ghc(array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(cpphs-1.16-15d27b0080912629e5fe51cce6f4d42a)
    ghc(deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926)
    ghc(directory-1.2.0.1-91a788fd88acd7f149f0f10f5f1e23f2)
    ghc(filepath-1.3.0.1-b12cbe18566fe1532a1fda4c85e31cbe)
    ghc(ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd)
    ghc(hashable-1.1.2.5-e0f2541518f84d3123a819112b4ffe20)
    ghc(haskell-src-exts-1.13.5-09569c34818db80ed3a90a5faa4f069a)
    ghc(integer-gmp-0.5.0.0-2f15426f5b53fe4c6490832f9b20d8d7)
    ghc(old-locale-1.0.0.5-6729cb9d9cc62d150655de8fc5401b91)
    ghc(old-time-1.1.0.1-2f8ea093d0c7014780a8a5772f948883)
    ghc(pretty-1.1.1.0-66181c695e6a2e173ba2088cf55cc396)
    ghc(process-1.1.0.2-76e05340eb66705981411022731ca84a)
    ghc(setlocale-0.0.3-c8efec773e4e398af4aea9dcac6b942b)
    ghc(syb-0.4.0-c48d52f3188b986ddaa9dd9ae40072f8)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc(uniplate-1.6.10-9c77af54b48e9237bd9b5b633a0939df)
    ghc(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    ghc(unordered-containers-0.2.3.0-c7952fe8bed178bdf8ed4d090730c9da)
    libHSCabal-1.16.0-ghc7.6.3.so()(64bit)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHScpphs-1.16-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHShashable-1.1.2.5-ghc7.6.3.so()(64bit)
    libHShaskell-src-exts-1.13.5-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSold-time-1.1.0.1-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSprocess-1.1.0.2-ghc7.6.3.so()(64bit)
    libHSrts-ghc7.6.3.so()(64bit)
    libHSsetlocale-0.0.3-ghc7.6.3.so()(64bit)
    libHSsyb-0.4.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHSuniplate-1.6.10-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libHSunordered-containers-0.2.3.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libffi.so.6()(64bit)
    libgmp.so.10()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

ghc-hgettext-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(hgettext-0.1.30-9ff0f41d6b6cbff04b47edcba0be8fd2)
    ghc-compiler
    ghc-devel(Cabal-1.16.0-eb3c12450ebbf2810048acb780cbe706)
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc-devel(directory-1.2.0.1-91a788fd88acd7f149f0f10f5f1e23f2)
    ghc-devel(filepath-1.3.0.1-b12cbe18566fe1532a1fda4c85e31cbe)
    ghc-devel(haskell-src-exts-1.13.5-09569c34818db80ed3a90a5faa4f069a)
    ghc-devel(process-1.1.0.2-76e05340eb66705981411022731ca84a)
    ghc-devel(setlocale-0.0.3-c8efec773e4e398af4aea9dcac6b942b)
    ghc-devel(uniplate-1.6.10-9c77af54b48e9237bd9b5b633a0939df)
    ghc-hgettext(x86-64)

Provides
--------
ghc-hgettext:
    ghc(hgettext-0.1.30-9ff0f41d6b6cbff04b47edcba0be8fd2)
    ghc-hgettext
    ghc-hgettext(x86-64)
    libHShgettext-0.1.30-ghc7.6.3.so()(64bit)

ghc-hgettext-devel:
    ghc-devel(hgettext-0.1.30-9ff0f41d6b6cbff04b47edcba0be8fd2)
    ghc-hgettext-devel
    ghc-hgettext-devel(x86-64)
    ghc-hgettext-static

Unversioned so-files
--------------------
ghc-hgettext: /usr/lib64/ghc-7.6.3/hgettext-0.1.30/libHShgettext-0.1.30-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/package/hgettext-0.1.30/hgettext-0.1.30.tar.gz :
  CHECKSUM(SHA256) this package     : 26453a4d359c99c41d462db9f8c9144d172523b3fa7076117a877e6c43f3ffdd
  CHECKSUM(SHA256) upstream package : 26453a4d359c99c41d462db9f8c9144d172523b3fa7076117a877e6c43f3ffdd

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1115894
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


There is no License file included in the tarball.
Can you please contact the author about adding one upstream?

What is /usr/bin/hgettext for?  Probably it should live
in ghc-hgettext-devel not ghc-hgettext, since it looks like
a devel tool not something needed at runtime.

I think a better package Summary might be "Haskell binding to libintl".

Otherwise the package looks okay to me.

Comment 3 Philip Withnall 2014-07-14 12:50:00 UTC
> There is no License file included in the tarball.
> Can you please contact the author about adding one upstream?

https://github.com/vasylp/hgettext/issues/5

> What is /usr/bin/hgettext for?  Probably it should live
> in ghc-hgettext-devel not ghc-hgettext, since it looks like
> a devel tool not something needed at runtime.

I was treating it the same as /usr/bin/gettext which comes from the gettext package, rather than gettext-devel.

> I think a better package Summary might be "Haskell binding to libintl".

Done.

If you're OK with the hgettext binary remaining in the non-devel package, I'll request a git repo and start turning the fedpkg wheel (with the summary change and no licence file). Otherwise I can do another iteration of the spec file here with more Koji scratch builds.

Comment 4 Jens Petersen 2014-07-15 03:02:03 UTC
(In reply to Philip Withnall from comment #3)
> > There is no License file included in the tarball.
> > Can you please contact the author about adding one upstream?
> 
> https://github.com/vasylp/hgettext/issues/5

Thanks!

> > What is /usr/bin/hgettext for?  Probably it should live
> > in ghc-hgettext-devel not ghc-hgettext, since it looks like
> > a devel tool not something needed at runtime.
> 
> I was treating it the same as /usr/bin/gettext which comes from the gettext
> package, rather than gettext-devel.

I see.  /usr/bin/gettext can be used by shell scripts at runtime.
I am not sure about the use case for /usr/bin/hgettext.
Is it used by project maintainers for extracting strings
to be translated or are you saying it could be used at runtime?

If it is the former kind of tool then I think it should really
live in ghc-hgettext-devel, since consumer packages of hgettext
would just use libHShgettext.

> > I think a better package Summary might be "Haskell binding to libintl".
> 
> Done.

Thanks

> If you're OK with the hgettext binary remaining in the non-devel package,
> I'll request a git repo and start turning the fedpkg wheel (with the summary
> change and no licence file). Otherwise I can do another iteration of the
> spec file here with more Koji scratch builds.

Given there are few changes it would be nice to see
the final packaging here I feel.  I can approve once that is done:
so you probably don't need to do all the scratch builds again.
Thanks

Comment 5 Philip Withnall 2014-07-16 07:22:24 UTC
(In reply to Jens Petersen from comment #4)
> Given there are few changes it would be nice to see
> the final packaging here I feel.  I can approve once that is done:
> so you probably don't need to do all the scratch builds again.

Updated spec and SRPM here, with /usr/bin/hgettext moved to *-devel:

Spec URL: http://people.collabora.co.uk/~pwith/packaging/ghc-hgettext.spec
SRPM URL: http://people.collabora.co.uk/~pwith/packaging/ghc-hgettext-0.1.30-1.fc19.src.rpm

rpmlint passes fine on both, with the same (incorrect) warnings about spelling errors and missing man pages.

Comment 6 Jens Petersen 2014-07-17 01:02:52 UTC
Thanks Philip.

All looks good now.

Package APPROVED.

Comment 7 Philip Withnall 2014-07-17 08:13:28 UTC
New Package SCM Request
=======================
Package Name: ghc-hgettext
Short Description: Bindings to libintl.h (gettext, bindtextdomain).
Upstream URL: https://hackage.haskell.org/package/hgettext
Owners: pwithnall
Branches: f19 f20 f21
InitialCC: haskell-sig

Comment 8 Gwyn Ciesla 2014-07-17 12:06:14 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-07-17 17:04:59 UTC
ghc-hgettext-0.1.30-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-hgettext-0.1.30-1.fc19

Comment 10 Fedora Update System 2014-07-17 17:19:41 UTC
ghc-hgettext-0.1.30-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-hgettext-0.1.30-1.fc20

Comment 11 Fedora Update System 2014-07-19 05:57:31 UTC
ghc-hgettext-0.1.30-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 12 Fedora Update System 2014-08-07 15:31:23 UTC
ghc-hgettext-0.1.30-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-08-07 15:33:48 UTC
ghc-hgettext-0.1.30-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.